View Single Post
flesheatingviru

 
Member Since: Jun 29, 2009
Posts: 6
flesheatingviru is on a distinguished road

flesheatingviru is offline
I'm trying to install Myst: Masterpiece Edition onto my new Imac with the latest OSX. It says I need Classic environment, which is no longer supported. Great. Is this great game a coaster now, or is there a way around this?
QUOTE Thanks